from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XElementAccess

@runtime_checkable
class XChangesSet(XElementAccess, Protocol):
    def getAllChanges(self) -> list[ElementChange]: ...
